clc;
clear all;
close all;
addpath '../'

discretization = 0.01;

t = 0:discretization:2.5;
scheduled = sin(t*pi);
noise = filtfilt( ones(10, 1), 1, 0.003 * randn(size(scheduled)));
actual = scheduled + noise;
%
shifted = actual;
for i = 1:numel(actual)
	if( actual(i) > 0.75 )
		shifted(i) = 0.75;
	elseif( actual(i) < -0.75 )
		shifted(i) = -0.75;
	end;
end;

figure(1)
hold on
plot(t, scheduled, 'k');
plot(t, noise, 'r');
plot(t, actual, 'b');
plot(t, shifted, 'g');
hold off

ExportLineplot('LoadFollowing.txt', [t', scheduled', actual', shifted'], [{'t'}, {'scheduled'}, {'actual'}, {'shifted'}]);

